From 77df5406321897403c88cd84924744da77701013 Mon Sep 17 00:00:00 2001
From: midipix <writeonce@midipix.org>
Date: Thu, 10 Jun 2021 20:40:58 +0000
Subject: build system: ccenv_set_cc(): properly handle older slibtool
 versions.

---
 sofort/ccenv/ccenv.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sofort/ccenv/ccenv.sh b/sofort/ccenv/ccenv.sh
index a542823..a0f69f2 100644
--- a/sofort/ccenv/ccenv.sh
+++ b/sofort/ccenv/ccenv.sh
@@ -511,7 +511,7 @@ ccenv_set_cc()
 				$ccenv_dumpmachine_switch 2>&3)
 
 		elif command -v slibtool > /dev/null 2>&1; then
-			ccenv=$(slibtool --dumpmachine 2>/dev/null)
+			ccenv=$(slibtool --dumpmachine 2>/dev/null || true)
 		fi
 
 		if [ -z "$ccenv_host" ]; then
@@ -546,7 +546,7 @@ ccenv_set_cc()
 	elif [ -z "$ccenv_host" ]; then
 		# no -dumpmachine support and no --host argument implies native build
 		if command -v slibtool > /dev/null 2>&1; then
-			ccenv=$(slibtool --dumpmachine 2>/dev/null)
+			ccenv=$(slibtool --dumpmachine 2>/dev/null || true)
 		fi
 
 		if [ -z "$ccenv_host" ]; then
-- 
cgit v1.2.3